@import "../../../_mixins.scss";

.project-details-main {
  position: relative;
  > h1 {
    font-size: 22px;
    font-weight: 550;
    color: #333;
  }
  .project-loading {
    top: 50%;
    position: fixed;
    left: 50%;
    font-size: var(--font-xxxl);
    font-weight: 500;
  }
  .project-details-title {
    font-size: var(--font-xl);
    font-weight: 600;
    line-height: 1.5;
    text-align: center;
    color: #00455f;
    margin-bottom: 10px;
    .project-details-icons {
      display: flex;
      float: right;
      gap: 10px;
      margin: 0 5px 8px 0;
      align-items: center;
      .rectangle-icon-outer {
        width: 26px;
        height: 26px;
        padding: 0px 1px 1px 0;
        border-radius: 25%;
      }
      img.status-svg-images {
        width: 15px;
        margin: 0 0px 0 2px;
      }
      img.status-svg-images-black {
        width: 15px;
        filter: invert(1);
        margin: 0 0px 0 2px;
      }
      img.project-redirect {
        width: 20px;
        height: 20px;
        cursor: pointer;
        margin: 5px 0 0;
      }
      img.go-back {
        width: 15px;
        height: 20px;
        cursor: pointer;
        margin: 5px 0 0 3px;
      }
    }
  }
  .horizontal-tabs-container.project-details-nav {
    background: #fff;
    .horizontal-tabs .tab-link {
      padding: 8px 30px;
      font-weight: 550;
    }
  }

  .project-details-tab {
    padding-bottom: 20px;
    background-color: #fff;
    .project-phases-container {
      display: flex;
      width: 100%;
      padding: 15px 20px 30px;
      .action {
        flex-grow: 1;
        flex-shrink: 1;
        flex-basis: 1;
        text-align: center;
        .status-name {
          font-size: var(--font-xs);
          font-weight: 600;
          line-height: 1.8;
          letter-spacing: normal;
          color: #003041;
        }
        .status-box {
          height: 68px;
          margin: 10px 9px 0 0;
          background-color: #c3cbce;
          font-size: var(--font-m);
          font-weight: 600;
          padding: 5px 0 0 0;
          .name {
            height: 20px;
          }
          &:hover {
            cursor: pointer;
          }
        }
      }
    }
    .project-details-collapsables {
      width: 100%;
      display: flex;
      flex-direction: column;
      .project-notes {
        width: 90%;
      }
    }
  }

  .meeting-list-container {
    position: relative;
    .create-meeting {
      position: absolute;
      right: 15px;
      top: 15px;
      font-size: var(--font-m);
      letter-spacing: 1px !important;
      z-index: 1;
    }
    .infinite-list-component.meeting-infinite-list {
      .top-action {
        padding: 15px 10px;
        .custom-search-outside {
          width: 300px;
        }
        .total-count {
          display: none;
        }
        .check-box-filters {
          margin: 0 0 0 20px;
        }
      }
      .header {
        padding-right: 5px;
      }
      #projectMeetingList {
        .meeting-row-actions {
          display: flex;
          gap: 10px;
          .icon__loading {
            width: 24px;
            padding: 0;
          }
          .btn.btn-default {
            margin: 0;
          }
          .btn.archived-btn {
            @include circle_button(28px);
            background: url(/assets/icons/archive-white-box.svg) center
              no-repeat;
            background-size: 14px;
            background-color: #989797;
            margin-top: 0;
            img {
              width: 13px;
              margin-left: -5px;
              margin-bottom: 10px;
            }
            &:hover,
            &:focus,
            &:active:hover,
            &:active:focus,
            &:hover:focus,
            &:active {
              background-size: 16px;
              background-color: #616060;
            }
          }
        }
      }
    }
  }
  .project-team-tab {
    gap: 50px;
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: #fff;
    .team-tab-action {
      display: flex;
      gap: 15px;
      align-items: center;
      position: absolute;
      top: 0;
      right: 15px;
      z-index: 2;
      .team-tab-search {
        padding: 0;
        width: 350px;
      }
      .search-btn-separator {
        border-left: 2px solid lightgray;
        height: var(--input-height);
      }
      .add-team-contact {
        margin-top: -2px;
        font-size: var(--font-m);
        letter-spacing: 1px !important;
      }
    }

    .project-team-container {
      position: relative;
      h3.listing-heading {
        position: relative;
        z-index: 1;
        font-weight: 550;
        color: var(--grey-label);
        margin: 20px 10px;
        font-size: var(--font-xxl);
      }
      .project-team-list {
        position: relative;
        .cell {
          @include text_one_line;
        }
        .team-row-actions {
          max-width: 120px;
          display: flex;
          justify-content: space-evenly;
          .edit-btn {
            margin: 0;
            border-radius: 4px;
            border: none;
            background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
            background-color: #f3f3f3;
            &:hover,
            &:focus,
            &:active:hover,
            &:active:focus,
            &:hover:focus,
            &:active {
              border: none;
              background: url(/assets/new-icons/edit_pencil.svg) center
                no-repeat;
              background-size: 18px;
              background-color: #dfdfdf;
            }
          }
          .confirm-help-icon {
            display: flex;
          }
        }
        .list-component-wrapper .no-data-list {
          border-left: none;
          border-right: none;
          border-bottom: none;
          font-size: var(--font-l);
          color: gray;
          height: 150px;
          display: flex;
          justify-content: center;
          align-items: center;
        }
      }
    }
  }
  .project-setup-tab {
    background: #fff;
    display: flex;
    flex-direction: column;
    gap: 35px;
    .spinner.project-setup-spinner {
      position: absolute;
      top: 30%;
    }
    .setup-sub-header {
      display: flex;
      gap: 25px;
      align-items: center;
      margin: 15px;
      font-weight: 550;
      color: var(--grey-label);
      > h3 {
        margin: 0;
        font-weight: 550;
      }
    }
    .setup-linking-table {
      .setup-linking-list {
        .cell.bom-first-col {
          max-width: 70px;
          justify-content: center;
          display: flex;
          padding: 2px 8px 8px 8px;
        }
        .cell.sow-first-col.radio-btn-group {
          max-width: 70px;
          justify-content: center;
          display: flex;
          padding: 2px 8px 0;
          .radio-btn {
            gap: 4px;
            margin-right: 3px;
            input[type="radio"] {
              margin: 0;
            }
          }
        }
      }
      .simple-table-error {
        color: red;
        font-size: var(--font-s);
        margin: 5px 0 0 10px;
        font-weight: 500;
      }
    }
    .workplan-phase-table {
      .phase-roles-list {
        .cell.phase-col-1 {
          display: flex;
          gap: 30px;
          max-width: 500px;
          @include text_one_line;
        }
        .cell.phase-role-col .phase-role-input {
          padding: 0;
          max-width: 400px;
        }
        .phase-hours-col {
          text-align: center;
        }
        .row-panel .cell {
          padding-top: 0;
          padding-bottom: 0;
        }
        .row-panel.even {
          background-color: #fff;
        }
      }
    }
    .project-setup-details {
      max-width: 1400px;
      display: flex;
      gap: 40px;
      .field-section.project-type-input {
        padding: 5px 15px;
        div.row.field__label .field__label-label {
          font-size: var(--font-xxxl);
          font-weight: 550;
        }
      }
    }

    .time-entry-setup-table {
      display: flex;
      flex-direction: column;
      width: 100%;
      .te-setup-row {
        padding: 8px;
        font-size: var(--font-m);
        display: flex;
        align-items: center;
        .role-col {
          padding-left: 20px;
          width: 200px;
          padding-left: 10px;
          font-weight: 450;
        }
        .ticket-col {
          display: flex;
          flex-grow: 1;
          max-width: 500px;
          .field-section.default-ticket-input {
            padding: 0;
          }
        }
      }
      .te-setup-row:first-child {
        font-weight: 550;
        color: #777;
        border-bottom: 1px solid lightgray;
        padding: 8px;
        .role-col {
          padding-left: 10px;
        }
      }
    }
    .setup-save-btn.square-btn {
      margin: 15px 0 30px 15px;
      width: 125px;
      letter-spacing: 1px;
      font-size: var(--font-m);
    }
  }
  .project-details-dashboard-tab {
    width: 100%;
    display: flex;
    background-color: #fff;
    .details-dashboard-left {
      padding: 10px 0 20px;
      display: flex;
      flex-direction: column;
      gap: 1rem;
      flex-grow: 1;
      .calculations .calculations-table {
        padding: 0;
        .calculations-table-header .calculations-header-title:first-child {
          width: 30%;
        }
        .calculations-table-body
          .calculations-table-row
          .calculations-table-col:first-child {
          width: 30%;
        }
        .calculations-table-body
          .calculations-table-row:last-child
          .calculations-table-col {
          font-weight: 550;
        }
      }
      .project-details-action-items.past-due-items {
        display: flex;
        flex-direction: column;
        .col-md-12.status-row.heading > label {
          position: relative;
          &:first-child {
            width: 20px;
            position: absolute;
            cursor: pointer;
            height: 20px;
            left: -6px;
          }
          &:nth-child(2) {
            flex-grow: 1;
          }
        }
        img.overdue-item {
          filter: none;
        }
      }
      .project-updates-wrapper {
        padding: 5px 50px 5px 20px;
        position: relative;
        .project-updates-header {
          width: 100%;
          display: grid;
          grid-template-columns: 1fr 1fr 220px;
          grid-gap: 10px;
          label {
            width: 100%;
            font-weight: 600;
          }
        }
        .pr-up-display-mode {
          display: grid;
          width: 100%;
          grid-template-columns: 1fr 1fr 220px;
          grid-gap: 10px;
          .pr-up-edit {
            filter: invert(0.5);
            position: absolute;
            right: 15px;
            cursor: pointer;
            z-index: 1;
          }
          .project-updates-html {
            max-height: 150px;
            height: 150px;
            overflow: auto;
            font-weight: 500;
            padding: 5px 15px;
            margin: 5px 5px 5px 0;
            background: #f2f6f7;
            width: 100%;
            ul,
            ol {
              padding-left: 0;
            }
            @include small_scroll();
          }
          .project-updates-etc {
            padding: 12px 15px;
            align-self: center;
            font-size: 3rem;
            font-weight: 500;
            height: 150px;
            align-items: center;
            display: flex;
            justify-content: center;
            background: #f2f6f7;
            width: 100%;
          }
          .pr-up-no-data {
            display: flex;
            font-weight: 600;
            color: #999;
            align-self: center;
            align-items: center;
            justify-content: center;
            font-size: var(--font-l);
            min-height: var(--input-height);
            height: 150px;
            background: #f2f6f7;
            margin-right: 5px;
            margin: 5px 5px 5px 0;
            width: 100%;
          }
        }
        .pr-up-edit-mode {
          width: 100%;
          display: grid;
          grid-template-columns: 1fr 1fr 220px;
          .project-updates-header {
            display: flex;
          }
          .project-updates-quill {
            margin-top: 10px;
            display: flex;
            flex-direction: column;
            height: 192px;
            width: 100%;
            .ql-container {
              height: 150px;
            }
          }
          .project-updates-input {
            align-self: center;
            padding: 10px 15px;
            width: 100%;
            .field__label {
              display: none;
            }
          }
        }
        .pr-up-actions {
          gap: 10px;
          display: flex;
          margin-top: 15px;
          justify-content: flex-end;
        }
      }
      .sow-project-details-section {
        display: flex;
        flex-direction: column;
        gap: 20px;
        max-width: 900px;
        padding-left: 25px;
        .ql-container.ql-snow {
          border: none;
          > h4 {
            font-size: var(--font-xxl);
            color: #333;
            font-weight: 550;
            letter-spacing: 0.5px;
            margin: 10px 0;
          }
        }
      }
      .no-project-details {
        text-align: center;
        font-weight: 550;
        line-height: 2;
        font-size: var(--font-l);
        color: gray;
        margin: 10px 0;
      }
    }
    .details-dashboard-right {
      width: 300px;
      min-width: 300px;
      display: flex;
      flex-direction: column;
      padding: 10px 0 0;
      gap: 2.5rem;
      border-left: 2px solid var(--app-bg);
      .upcoming-phase-milestone {
        text-align: center;
        padding: 0 15px;
        .status-name {
          font-size: var(--font-m);
          font-weight: 500;
          line-height: 1.8;
          letter-spacing: normal;
          color: #003041;
          label {
            font-size: var(--font-m);
            margin-right: 8px;
            font-weight: 550;
          }
        }
        .status-box {
          font-size: var(--font-m);
          font-weight: 600;
          padding: 12px 0;
          margin: 10px 0 0;
          .name {
            height: 20px;
          }
        }
      }
      .sow-preview-row {
        display: flex;
        align-items: center;
        margin-left: 10px;
        gap: 10px;
        font-size: var(--font-m);
        font-weight: 450;
        .icon__loading {
          width: 26px;
          padding: 0;
          margin-left: 5px;
        }
      }
      .estimated-end-date {
        display: flex;
        justify-content: center;
        font-size: var(--font-m);
        align-items: center;
        font-weight: 450;
        color: #333;
        > label {
          font-size: var(--font-m);
          margin-right: 8px;
          font-weight: 550;
        }
      }
      .upcoming-meeting-section {
        display: flex;
        flex-direction: column;
        justify-content: center;
        > h5 {
          text-align: center;
          font-weight: 550;
          font-size: var(--font-m);
        }
        .no-upcoming-meeting {
          text-align: center;
          color: var(--grey-label);
          font-size: var(--font-s);
        }
        .upcoming-meeting-link {
          display: flex;
          flex-direction: column;
          gap: 5px;
          justify-content: center;
          align-items: center;
          font-weight: 450;
          font-size: var(--font-s);
          text-decoration: underline;
          cursor: pointer;
          opacity: 0.8;
          &:hover {
            opacity: 0.9;
            color: var(--primary);
          }
          &:active,
          &:focus {
            opacity: 1;
            color: var(--primary);
          }
        }
      }
      .status-overall {
        padding: 0 15px;
        .action {
          display: flex;
          flex-direction: column;
          gap: 15px;

          .overall-status-edit {
            padding: 0;
            height: 70px;
            div.row.field__label {
              justify-content: center;
              .field__label-label {
                font-size: var(--font-l);
              }
              .field__label-required {
                display: none;
              }
            }
            .Select {
              height: 35px !important;
              .Select-menu-outer .Select-menu .Select-option.is-focused {
                background-color: #787a7b4d;
                color: #fff;
              }
            }
            .Select .Select-control {
              border: 0 !important;
              .Select-arrow {
                background: unset;
              }
            }
            .Select-value {
              padding: 0;
            }
            .color-preview-option {
              padding: 0;
              height: var(--input-height);
              line-height: 2.7;
              font-weight: 600;
              display: flex;
              flex-direction: row;
              .left-column {
                width: 5px;
                height: var(--input-height);
              }
              .text {
                width: 100%;
                padding: 4px 10px;
                white-space: nowrap;
                overflow: hidden;
                display: flex;
                text-overflow: ellipsis;
                font-size: var(--font-m);
                place-content: center;
                line-height: 1.8;
              }
            }
            .field__error {
              display: none;
            }
          }
        }
        .overall-status-action-btn {
          display: flex;
          z-index: 2;
          gap: 10px;
        }
      }

      .accordian-component {
        border-top: 1px solid #dce6ea;
      }
      .details-box {
        display: flex;
        flex-direction: column;
        padding: 10px;

        .document-loader {
          position: absolute;
          left: 35%;
          top: 95%;
          z-index: 1;
          img {
            width: 40px !important;
          }
        }

        .field-section {
          padding: 0px;
        }
        .upload-box {
          margin: 19.3px 11px 5px 4.1px;
          padding: 10px;
          border: solid 1px #d3dde0;
          background-color: #ffffff;
        }
        .upload-filename {
          width: 164px;
          height: 15px;
          font-family: Montserrat;
          font-size: var(--font-xs);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #00455f;
        }
        .file-upload-actions {
          display: flex;
          flex-direction: row;
          justify-content: flex-end;
          margin-top: 5px;
        }
        .file-upload-cancel {
          margin-left: 10px;
        }
        .file-action-icons {
          width: 10px;
          height: 10px;
          opacity: 1;
          transform: none;
          cursor: pointer;
        }
        .doucments-list {
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          position: relative;

          .document {
            display: flex;
            align-items: center;
            width: 100%;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            padding-bottom: 15px;

            &:hover {
              cursor: pointer;
            }

            .doc-right {
              display: flex;
              align-items: center;

              .document-label-content {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                padding-top: 6px;
                font-size: var(--font-m);
                font-weight: 600;
                font-style: normal;
                line-height: 1.29;
                text-align: left;
                color: #00455f;
                word-break: break-all;
                white-space: pre-wrap;
              }
            }

            .file-icons {
              opacity: 1;
              width: 35px;
              height: var(--input-height);
              transform: none;
              margin-left: 5px;
              margin-right: 5px;
            }
            .download-icons {
              opacity: 1;
              width: 20px;
              height: 20px;
              transform: none;
              margin-left: 5px;
              margin-right: 5px;
              .remove {
                margin-top: 3px;
              }
            }
            .document-delete {
              margin-left: 160px;
            }
          }
        }
      }
    }
  }
  .PMOCollapsible-component {
    .label {
      padding: 0;
      height: var(--input-height-l);
    }
    .collapsable-headings {
      padding: 12px 0 0 5px;
    }
    .field--collapsed {
      background-color: #f7f7f7;
    }
    .action-collapse {
      margin: 5px 0 0 0;
    }
  }
  .project-contracts-tab {
    background-color: #fff;
    .sow-details.details-box {
      position: relative;
      padding-bottom: 10px;
      .sow-details-actions {
        position: absolute;
        display: flex;
        gap: 15px;
        top: 10px;
        right: 15px;
      }
    }
    .change-request-list-container {
      position: relative;
      > h3 {
        position: absolute;
        font-weight: 550;
        color: var(--grey-label);
        font-size: var(--font-xxl);
        top: 10px;
        left: 10px;
        margin: 0;
      }
      .add-section {
        position: absolute;
        top: 5px;
        right: 10px;
        display: flex;
        gap: 10px;
        .search-add-separator {
          height: 30px;
          border-left: 2px solid lightgray;
        }
        .cr-list-add.btn {
          z-index: 1;
          padding: 0;
          width: 25px;
          min-width: 30px;
          font-size: 25px;
          height: 30px;
          font-weight: bold;
        }
      }

      .infinite-list-component.change-request-infinite-list {
        .top-action {
          flex-direction: row;
          justify-content: right;
          margin-right: 50px;
          .check-box-filters {
            display: flex;
            margin: 0 5px 0 0;
          }
          .total-count {
            display: none;
          }
        }
        .first-column {
          display: grid;
          cursor: pointer;
          align-items: center;
          text-align: left;
          width: 93%;
          grid-template-columns: 25px 1fr;
          > div {
            display: block;
            @include text_one_line;
          }
        }
        .cr-icons-col {
          max-width: 140px;
          min-width: 140px;
        }
      }

      .icon-list {
        margin-right: 5px;
        height: 20px;
      }

      .label-user-dropdown {
        display: flex;
        margin: 2px -1px 0 1px;
        text-align: center;
        padding-left: 10px;
        line-height: 2;
        .full-name {
          color: black;
          width: 100%;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          text-align: left;
          line-height: 2.5;
        }
        &:hover {
          font-weight: 600;
          color: var(--black-font);
        }
      }

      .label-user-dropdown.Approved {
        color: green;
        font-weight: 700;
      }
      .label-user-dropdown.Progress {
        color: orange;
        font-weight: 700;
      }
      .label-user-dropdown.Cancelled\/Rejected {
        color: black;
        font-weight: 700;
      }
      .edit-png {
        cursor: pointer;
        filter: invert(1);
        opacity: 0.6;
      }
      .blank-img {
        width: 16px;
        float: left;
      }
      .infinite-list-component .cell {
        font-size: var(--font-s);
        font-weight: 450;
      }
      .list-selection {
        padding: 0;
        margin: 2px auto;
        div.field__label.row,
        span.field__error {
          display: none;
        }
        .Select .Select-control {
          border: 0 !important;
          .Select-arrow {
            background: unset;
          }
          .Select-value {
            padding-left: 0;
          }
        }
        .Select {
          .Select-menu-outer .Select-menu .Select-option.is-focused {
            background-color: #787a7b4d;
            color: #fff;
            .label-user-dropdown {
              padding-left: 0;
              &:hover {
                padding-left: 0;
              }
            }
          }
        }
      }
      .icon-btn.action-button-clt {
        margin: 0 0 0 5px;
      }
    }
  }
  .project-logs-tab {
    background-color: #fff;
    position: relative;
    .logs-tab-search {
      width: 300px;
      padding: 0;
      position: absolute;
      z-index: 2;
      top: 10px;
      right: 15px;
      .field__label.row,
      span.field__error {
        display: none;
      }
    }
    .log-header-links {
      display: flex;
      gap: 10px;
      font-size: var(--font-m);
      padding: 10px 15px;
      align-items: center;
      .link-separator {
        height: 18px;
        border-left: 2px solid #333;
      }
      .header-link {
        color: var(--primary);
        opacity: 0.7;
        font-weight: 450;
        cursor: pointer;
        &:hover {
          opacity: 0.85;
          text-decoration: underline;
        }
      }
      .header-link__active {
        cursor: not-allowed;
        pointer-events: none;
        opacity: 1;
        font-weight: 550;
        text-decoration: underline;
      }
    }
    .completed-items-container.project-details-action-items {
      padding: 15px 0;
      margin: 0;
      display: flex;
      flex-direction: column;
      .status-row.heading {
        .field__label-label {
          cursor: default;
        }
        .field__label-label:nth-child(2) {
          cursor: pointer;
        }
      }
      .status-row {
        .user {
          margin: 2px 0;
          left: 0;
        }
        .user-image-component.inside-box {
          border-left: none;
          margin: 2px 0 0;
        }
        .remove {
          padding: 6px 0 0;
          .info-png {
            margin: 0;
          }
        }
      }
    }
  }
}

#sm-popup-box.project-phase-popup {
  .box .field-section {
    padding: 0 5px;
  }
}

.project-details-modal {
  width: 100%;
  display: flex;
  gap: 20px;
  .field-section {
    padding: 0;
  }
}

.project-details {
  .header {
    display: flex;
    justify-content: space-between;
    padding: 0;
    align-items: center;

    .left {
      display: flex;
      .icons {
        display: flex;
        align-items: center;
        img.status-svg-images {
          width: 15px;
          margin: 0 0px 0 2px;
        }
        img.status-svg-images-black {
          width: 15px;
          filter: invert(1);
          margin: 0 0px 0 2px;
        }
      }
      .name {
        font-size: var(--font-xl);
        font-weight: 600;
        line-height: 2;
        text-align: left;
        color: #00455f;
      }
    }
    .right {
      display: flex;
      justify-content: flex-end;
      .square-btn.btn {
        height: var(--input-height);
        min-width: 80px;
        margin: auto;
        width: fit-content;
      }
      span.project-id {
        font-size: var(--font-l);
        color: #999;
        width: 130px;
        line-height: 2.5;
        font-weight: 500;
        padding: 0 10px 0 0;
        span {
          font-weight: 600;
        }
      }
      .bom-details {
        margin-right: 5px !important;
      }
    }
  }
  .separator {
    height: 38px;
    border-left: 1px solid #ccc;
    margin: 0px 10px 0 10px;
  }
  .first-row {
    display: flex;
    margin: 0 -5px 0 -7px;
    .ticket-selection {
      border-bottom: 1px solid #dce6ea;
    }
  }
  .action-second {
    padding: 9.5px 5px 28px 0px !important;
  }
  .status-actions-row {
    margin: 8.5px 6px 0px 7px;
    padding: 9.5px 10px 28px 15px;
    background-color: #ffffff;
    width: 80%;
    display: flex;
    .action {
      flex-grow: 1;
      flex-shrink: 1;
      flex-basis: 1;
      text-align: center;
      .status-name {
        font-size: var(--font-xs);
        font-weight: 600;
        line-height: 1.8;
        letter-spacing: normal;
        color: #003041;
      }
      .status-box {
        height: 68px;
        margin: 10px 9px 0 0;
        background-color: #c3cbce;
        font-size: var(--font-m);
        font-weight: 600;
        padding: 5px 0 0 0;
        .name {
          height: 20px;
        }
        &:hover {
          cursor: pointer;
        }
      }
    }
    .not-started {
      .status-box {
        background-color: #c3cbcd !important;
        color: #4e585c !important;
      }
    }
  }
  .status-overall {
    width: 20%;
    height: auto;
    margin: 8.5px 6px 0px 2px;
    padding-bottom: 18px;
    padding: 0px 10px -3px 18px;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .field__label {
      padding: 5px 0 0 0 !important;
    }
  }
  .status-overall-accordians {
    width: 20%;
    margin: 8.5px 6px 0px 2px;
    padding: 0 0;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .details-box {
      display: flex;
      flex-direction: column;
      padding: 10px;

      .opp-container {
        flex-direction: column;
      }

      .meeting-detail-contact {
        margin-top: 1px;

        .box {
          // width: 500px;
          .right {
            .contact-cancel {
              margin: 0px !important;
            }
          }
        }
      }

      .label-details {
        text-align: left;
        color: #4e585c;
        font-size: var(--font-xs);
      }
      .label-details-error-msg {
        text-align: left;
        color: red;
        font-size: 12px;
      }
      .contact-cancel {
        min-width: 0px;
        width: 80px;
        // margin-left: 125px;
      }
      .contact-save {
        min-width: 0px;
        width: 80px;
        margin-left: 12px;
      }
      .contact-container {
        &:hover {
          .contact-role-edit-icon {
            transform: none;
            cursor: pointer;
            filter: invert(1);
            width: 13px;
            height: 13px;
            margin: 0 0 0 5px;
          }
        }
      }
      .label-content {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding-top: 6px;
        font-size: var(--font-m);
        font-weight: 600;
        font-style: normal;
        line-height: 1.29;
        text-align: left;
        color: #00455f;

        .contact-actions {
          display: flex;
          margin: 5px 0 0 0;
        }

        .contact-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }
      }
      .project-type {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;

        .project-save-icon {
          transform: none;
          cursor: pointer;
          width: 18px;
          height: 18px;
          margin: -5px 12px 0 0;
        }

        .project-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }

        .project-delete-icon {
          transform: none;
          cursor: pointer;
          width: 13px;
          height: 13px;
          margin: -5px 10px 0 0;
        }
      }
      .label-sub-content {
        padding-left: 30px;
        display: flex;
        margin: 0;
      }
      .label-sub-content-attended-text {
        display: flex;
        justify-content: flex-end;
        padding-bottom: 10px;
      }
      .action-item {
        height: 15px;
        margin-top: 15px;
        margin-bottom: 10px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;

        &:hover {
          cursor: pointer;
        }
      }
      .field-section {
        padding: 0px;
      }
      .col-md-6,
      .col-xs-6 {
        padding: 0px;
      }
      .upload-box {
        margin: 19.3px 11px 5px 4.1px;
        padding: 10px;
        border: solid 1px #d3dde0;
        background-color: #ffffff;
      }
      .upload-filename {
        width: 164px;
        height: 15px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #00455f;
      }
      .file-upload-actions {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        margin-top: 5px;
      }
      .file-upload-cancel {
        margin-left: 10px;
      }
      .file-action-icons {
        width: 10px;
        height: 10px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }
      .doucments-list {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;

        .document {
          display: flex;
          align-items: center;
          width: 100%;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          padding-bottom: 15px;

          &:hover {
            cursor: pointer;
          }

          .doc-right {
            display: flex;
            align-items: center;

            .document-label-content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              padding-top: 6px;
              font-size: var(--font-m);
              font-weight: 600;
              font-style: normal;
              line-height: 1.29;
              text-align: left;
              color: #00455f;
              word-break: break-all;
              white-space: pre-wrap;
            }
          }

          .file-icons {
            opacity: 1;
            width: 35px;
            height: var(--input-height);
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }
          .download-icons {
            opacity: 1;
            width: 20px;
            height: 20px;
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
            .remove {
              margin-top: 3px;
            }
          }
          .document-delete {
            margin-left: 160px;
          }
        }
      }
    }
  }
  .color-preview {
    padding: 0;
    height: 58px;
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: 58px;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 3.5;
    }
  }
}
.project-action-component {
  width: 100%;
  margin: 0px 0 0 20px;
  .list-actions {
    display: flex;
    flex-direction: column;
    .Select-placeholder {
      background: #f2f6f7 !important;
      margin: 0 0 0 3px;
    }
  }
  .PMOCollapsible-component {
    margin: 15px 15px 0px 0;
    background: white;
    .label {
      padding: 0;
      height: var(--input-height-l);
    }
    .collapsable-headings {
      padding: 12px 0 0 5px;
    }
    .field--collapsed {
      background-color: #f7f7f7;
    }
    .action-collapse {
      margin: 5px 0 0 10px;
    }
  }
}

.project-details-action-items {
  margin: 0 0 0 8px;
  .status-row {
    display: flex;
    font-weight: 500;
    img.edit-png {
      filter: invert(0.5);
    }
    .edit-png {
      padding: 0 0 0 5px;
      margin: 8px 0 0 10px;
    }
    .info-png {
      padding: 0 0 0 5px;
      width: 20px;
      height: 20px;
      opacity: 0.5;
      margin: 8px 0 0 10px;
    }
    .remove-meeting {
      padding: 0px 0 0 25px;
      align-items: center;
      place-content: center;
      display: flex;
    }
    .completed-on-date {
      position: absolute;
      z-index: 1;
      right: 60px;
      top: 70px;
    }
    .project-item-dropdown {
      .Select {
        .Select-menu-outer .Select-menu .Select-option.is-focused {
          background-color: #787a7b4d;
          color: #fff;
        }
      }
      .Select .Select-control {
        border: 0 !important;
        .Select-arrow {
          background: unset;
        }
      }
      .Select-value {
        padding: 0 !important;
      }
      .edited {
        .color-preview-option {
          padding: 10px 0 0 0;
        }
      }

      .color-preview-option {
        padding: 0;
        height: var(--input-height);
        line-height: 2.7;
        font-weight: 600;
        display: flex;
        flex-direction: row;
        margin: 0;
        .left-column {
          width: 5px;
          height: var(--input-height);
        }
        .text {
          width: 100%;
          height: var(--input-height);
          padding: 4px 10px;
          white-space: nowrap;
          overflow: hidden;
          display: flex;
          text-overflow: ellipsis;
          font-size: var(--font-m);
          place-content: flex-start;
          line-height: 1.8;
        }
      }
      .field__label.row {
        display: none !important;
      }
      span.field__error {
        display: none !important;
      }
    }
  }
  .status-row.heading > label {
    font-size: var(--font-s);
    font-weight: 550;
    &:first-child {
      flex-grow: 1;
    }
    &:last-child {
      width: 50px;
    }
  }
  .status-row.edited {
    position: relative;
    .action-item-editor {
      flex-grow: 1;
    }
    .remove {
      padding-top: 25px;
    }
    .overdue-item {
      margin-top: 15px;
    }
    .not-editable-status {
      margin: 17px 6px 0 -6px;
    }
    .project-item-dropdown {
      margin: 20px 0 0;
    }
  }
  .meeting-list {
    .edited {
      padding: 0 28px 5px 15px;
      .not-editable-status {
        margin: 10px 6px 0 -6px;
      }
    }
  }
  .risk-edited {
    padding: 0 28px 5px 15px;
  }
  .field__label-label {
    padding: 0px 15px;
    margin-bottom: 5px;
    cursor: pointer;
  }
  .field__label-label:first-child {
    margin-left: -7px;
  }
  .field__label-label_date {
    padding: 0;
  }
  .field-section {
    padding: 2px;
  }
  .field-section div.row {
    margin: 0 0 0 -2px;
  }
  .disabled {
    span.field__error {
      display: none;
    }
    .Select-arrow-zone {
      opacity: 0;
    }
    // .Select .Select-control {
    //   border: 0;
    //   background: #f2f6f7;
    //   height: var(--input-height);
    // }
    .field__input input:not([type="radio"]):disabled {
      background: #f2f6f7 !important;
      height: var(--input-height);
    }
    .row.field__label {
      padding: 0;
    }
  }
  .remove {
    place-content: center;
    display: flex;
    padding: 10px 0 0 0;
    width: 50px;
    .icon-remove {
      width: 10px;
      height: 10px;
      margin: 0;
      opacity: 0.5;
    }
  }
  .add-new-action-item {
    color: var(--primary);
    margin: 2px 0 15px 0px;
    font-weight: 600;
    cursor: pointer;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .no-data-action-item {
    margin: 2px 0 10px 0px;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  span.rc-color-picker-trigger {
    width: 40px;
    height: var(--input-height);
    margin: 10px 0 0 0;
  }
  img.remove {
    width: 45px;
    height: var(--input-height);
    margin: 5px 0 0 10px;
    opacity: 0.5;
  }
  img.saved {
    width: 50px;
    height: 49px;
    margin: 3px 0 0 10px;
  }
  img.edit {
    width: 44px;
    height: 17px;
    filter: invert(1);
    margin: 18px 0 0 10px;
  }
  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 2px 0 0 0;
    border-left: 5px solid #fff;
    .left-column {
      width: 5px;
      height: var(--input-height);
      border: solid 1px #fff;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      line-height: 1.8;
    }
  }
  .color-picker {
    text-align: center;
    width: 130px;
  }
  .row-action-btn {
    display: flex;
    position: absolute;
    right: 70px;
    bottom: 15px;

    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }
  .row-action-btn-meeting-list {
    float: right;
    margin: 0 8.5% 5px 0;
    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }
  .row-action-btn-risk {
    float: right;
    margin: 10px 25% 5px 0;
    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }

  .user {
    display: flex;
    background: #f2f6f7 !important;
    min-height: var(--input-height);
    margin: 2px 0 0 -7px;
    // line-height: 3.5;
    text-align: center;
    border-right: 3px solid #fff;
    border-left: 3px solid #fff;
  }
  .description {
    display: flex;
    align-items: center;
  }
  .pd-action-item {
    left: 4px;
    text-align: left;
    border-right: 3px solid #fff;
    border-left: 3px solid #fff;
    max-height: 250px;
    overflow: auto;
    font-weight: 500;
    display: block;
    margin: 2px 2px 2px -7px;
    padding: 7px 10px;
    background: #f2f6f7 !important;
    min-height: var(--input-height);
    flex-grow: 1;

    @include small_scroll();
    .text-ellpisis-1.ql-editor {
      padding-top: 5px;
      padding-bottom: 5px;
      font-weight: 500;
      display: block;
      ul,
      ol {
        padding-left: 0;
      }
    }

    .edit-png {
      margin: 0px;
      padding: 0px;
      filter: none !important;
    }
  }
  .pd-action-item.ql-editor {
    ul,
    ol {
      padding-left: 0;
    }
  }
  .row-date {
    display: flex;
    background: #f2f6f7 !important;
    height: var(--input-height);
    margin: 2px 2px 0 -4px;
    align-items: center;
    text-align: center;
    border-left: 3px solid #fff;
    // justify-content: space-around;
  }
  .type {
    line-height: var(--input-height);
  }
  .Select-placeholder {
    background: #f2f6f7 !important;
    margin: 0 0 0 3px;
  }
}

.project-notes {
  border: solid 1px #d3dde0;
  margin: 0 0 0 23px;
  width: 55vw;
  padding: 10px;
  .new-note {
    .quill.project-notes-quill {
      height: 215px;
      display: flex;
      flex-direction: column;
      margin: 0;
      .ql-container {
        height: 172px;
      }
    }
  }
  .notes-row {
    padding: 0 0 5px 0;
    border-bottom: solid 1px #dce6ea;
    margin: 0 0 5px 25px;
    .user {
      display: flex;
      font-weight: 600;
      line-height: 2.2;
      margin: 0 0 0 -25px;
    }
    .cw-note-type {
      font-weight: 600;
      padding: 8px 0 8px 0px;
    }
    .note {
      font-weight: 500;
      padding: 0 0 0 5px;
      white-space: pre-line;
    }
    .note.ql-editor {
      ul,
      ol {
        padding-left: 0px;
      }
    }
    .date {
      color: #999;
      font-size: var(--font-xs);
      padding: 0 0 0 5px;
    }
    .grey-text {
      color: #999;
      font-size: 11px;
    }
  }

  .no-notes-row {
    padding: 0 0 10px 25px;
  }
  .confirm-help-icon.remove {
    margin: 0px 0 0 3px;
    width: 20px;
    width: 20px;
    .icon-remove {
      width: 10px;
      height: 10px;
      margin: 0;
      opacity: 0.5;
    }
  }

  .actions-notes {
    float: right;
    margin: -20px 12px 0 0;
    width: 20px;
    display: flex;
    .edit-png {
      filter: invert(0.5);
      width: 12px;
      height: 12px;
      margin: 1px 5px 0 0;
    }
  }
  .add-new-note {
    color: #db7c20;
    margin: 0 0 10px 25px;
    font-weight: 600;
    cursor: pointer;
  }
  .action-btn {
    padding: 20px;
    button.square-btn.btn {
      min-width: unset !important;
      margin: 0px 10px 0 0;
      width: 90px;
    }
  }

  .note-from {
    padding: 0 40px;
    color: var(--grey-border);
    // cursor: pointer;
  }
}

.select-customer-contact {
  width: 100%;
  display: flex;
  .add-new-option-box {
    width: -webkit-fill-available;
    margin-right: 5px;
  }
  .add-new-option-customer {
    min-width: 40px !important;
    height: 32px !important;
    margin-top: 27px !important;
    padding: 4px !important;
    font-size: 25px !important;
  }
}

.user {
  display: flex;
  left: 4px;
  .type {
    line-height: 1.9;
  }
}

.meeting-details {
  .ct-co-email-container {
    display: flex;
    flex-direction: column;
    width: 80%;
    max-width: 1200px;
    .customer-email-field {
      display: flex;
      flex-direction: column;
      .email-subject {
        width: 1000px;
        padding-bottom: 10px;
        padding-left: 20px;
      }
      .mail-subject-mention-input {
        padding-left: 20px;
        padding-bottom: 25px;
        .outer__control {
          height: 30px;
          border-radius: 2px;
          border: solid 1px #d3dde0;
          &:focus {
            outline: none;
          }
          textarea {
            padding: 5px;
            border-radius: 2px;
            border: solid 1px #d3dde0;

            &:focus {
              outline: none;
            }
          }
        }
      }
      .email-editor-wrapper {
        padding-left: 20px;
        .mention[data-denotation-char="#"]:hover:after {
          content: "";
        }
        .quill.email-body-editor {
          height: 350px;
          margin: 0px 0 25px 0;
          .ql-container.ql-snow {
            height: 310px;
          }
        }
      }
    }
  }
  .meeting-name {
    font-size: var(--font-xl);
    font-weight: 600;
    line-height: 20px;
    text-align: left;
    color: #00455f;
  }

  .project-name {
    font-size: var(--font-m);
    font-weight: 500;
    line-height: 24px;
    text-align: left;
    color: #00455f;
    height: 30px;
    // border-left: 1px solid #ccc;
  }

  .right {
    .square-btn.btn {
      margin: 0 0 0 10px !important;
      min-width: 85px;
    }
    .checkbox-holder {
      align-items: unset;
      margin-right: 10px;
      label.checkbox__content {
        margin: 7px 0 0 7px;
      }
    }
  }
  .name-date {
    display: flex;
    flex-direction: column;
    .date-time {
      border-bottom: 1px solid #dce6ea;
    }
    .time-to-from {
      display: flex;
      .dash-separator {
        margin: 30px 0;
        font-size: 19px;
      }
      .to-time {
        margin: 15px 0 0 0;
      }
    }
  }
  .collapsible-section-meeting {
    display: flex;
    flex-direction: column;
    .field-section.meeeting-name-field {
      input[type="TEXT"] {
        font-size: var(--font-xxl);
      }
    }
  }
  .status-overall {
    width: 95%;
  }
}
.agenda-topic-component {
  display: flex;
  margin-top: 5px;
  flex-direction: column;
  .DraggableTags {
    width: 100%;
    .DraggableTags-tag {
      min-height: 40px;
      left: -5px;
      &:hover {
        border: 1px dashed #ccc;
      }
      .agenda-draggable {
        padding: 0;
        display: flex;
        margin: 3px 0;
      }
    }
    .DraggableTags-tag-drag {
      display: flex !important;
      padding: 0 0 0 20px;
      .confirm-help-icon {
        margin-top: 10px;
      }
    }
  }
  .edit-agenda-topic {
    padding: 0;
    display: flex;
    flex-direction: column;
    .agenda-topics-quill {
      margin: 0;
      height: 215px;
      .ql-container {
        height: 172px;
      }
    }
    .agenda-topic-action-btn {
      margin-bottom: 15px;
      button {
        margin-right: 15px;
      }
    }
  }
  .agenda-topic-content-container {
    padding: 0;
    // margin: 2px 15px;
    .agenda-topic-content {
      min-height: var(--input-height);
      padding: 7px 15px;
      font-family: var(--font-first);
      font-size: var(--font-s);
      font-weight: 500;
      background: #f2f6f7;
      color: #333;
      margin: 0 0 5px 0;
      display: flex;
      flex-direction: column;
      font-weight: 500;
      justify-content: center;
    }
    .agenda-topic-content.ql-editor {
      ul,
      ol {
        padding-left: 0;
      }
    }
    .agenda-error {
      color: red;
      font-weight: 500;
      font-size: var(--font-s);
      margin-bottom: 5px;
    }
  }
  .add-new-action-item {
    color: var(--primary);
    margin: 2px 0 15px 0px;
    font-weight: 600;
    cursor: pointer;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .no-data-action-item {
    margin: 2px 0 10px 0px;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .field-section {
    padding: 0 !important;
  }
  .status-row {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  .confirm-help-icon {
    margin-left: 15px;
  }
  input[type="TEXT"] {
    background: #f2f6f7 !important;
    border: solid 1px #f2f6f7 !important;
    &:focus,
    &:focus:active {
      background: #fff !important;
      border: solid 1px #e5e5e5 !important;
    }
  }
}
.overall-status-edit {
  padding: 0;
  height: 70px;
  .Select {
    height: 65px !important;
    .Select-menu-outer .Select-menu .Select-option.is-focused {
      background-color: #787a7b4d;
      color: #fff;
    }
  }
  .Select .Select-control {
    border: 0 !important;
    .Select-arrow {
      background: unset;
    }
  }
  .Select-value {
    padding: 0;
  }
  .color-preview-option {
    padding: 0;
    height: var(--input-height);
    line-height: 2.7;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    // margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 1.8;
    }
  }
  .field__error {
    display: none;
  }
  .field__label-label {
    padding: 0 0 0 10px;
  }
}

.project-acceptance-md-editor {
  padding-left: 20px;
  margin-bottom: 60px;
}

.document-details-box {
  padding-left: 25px;
  padding-top: 15px;
}

.remove-file {
  padding-left: 10px;
}
.doucments-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  .document {
    display: flex;
    flex-direction: row;
    padding-bottom: 15px;
    .doc-right {
      display: flex;
    }
    .file-icons {
      opacity: 1;
      width: 35px;
      height: var(--input-height);
      transform: none;
      margin-left: 5px;
      margin-right: 5px;
    }
    .document-delete {
      margin-left: 160px;
    }
  }
}

.document-label-details.action-item {
  height: 15px;
  margin-top: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: #db7c20;

  &:hover {
    cursor: pointer;
  }
}

.document-label-details.action-item.document-error {
  height: 15px;
  margin-top: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: red;

  &:hover {
    cursor: pointer;
  }
}

.document-label-details.info-label {
  height: 15px;
  margin: 12px 140px 0 4px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
}

.info-label.attendees {
  height: 15px;
  padding-left: 25px;
  padding-bottom: 25px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
}

.meeting-upload-box {
  width: 350px;
  margin: 19.3px 11px 5px 4.1px;
  padding: 10px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
}
.upload-filename {
  width: 164px;
  height: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: #00455f;
  word-break: break-all;
  white-space: pre-wrap;
}
.meeting-file-upload-actions {
  display: flex;
  flex-direction: row;
  padding-left: 320px;
  padding-top: 12px;
}
.file-upload-cancel {
  margin-left: 10px;
}
.file-action-icons {
  width: 12px;
  height: 12px;
  opacity: 1;
  transform: none;
  cursor: pointer;
}

.document-error {
  color: red;
}

.user-dropdown {
  display: flex;
  background: #f2f6f7 !important;
  height: var(--input-height);
  margin: 2px -1px 0 1px;
  padding: 0 0 0 10px;
  line-height: 3.5;
  text-align: center;
  border-right: 3px solid #fff;
  border-left: 3px solid #fff;
  .type {
    color: black;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
  }

  &:hover {
    font-weight: 600;
    color: var(--black-font);
  }
}
.meeting-status.action-item-status {
  margin: 0 0 0 7px;
}

.risk-item-status {
  margin: 0 0 0 5px;
}
.rc-color-picker-wrap.disabled {
  pointer-events: none;
}

// remove below 2 rules when v2 is merged
.document-loader {
  position: absolute;
  left: 35%;
  top: 100%;
}

.document-loader img {
  width: 40px !important;
}

.spinner.customer-loader img {
  width: 25px !important;
}

.meeting-download-icons {
  opacity: 1;
  width: 23px;
  height: 23px;
  transform: none;
  margin-left: 15px;
  margin-right: 5px;
  cursor: pointer;
}
.pointer-events-none {
  pointer-events: none;
}

.progressbar-project-details {
  text-align: center;
  font-size: var(--font-m);
  font-weight: 600;
  padding: 0 3px 0 0px;
  height: 50px;
  line-height: var(--input-height);
  display: flex;
  justify-content: center;
  flex-direction: column;

  .percentage {
    font-size: var(--font-xxxxl);
    color: #999;
    letter-spacing: 0.5px;
  }
  .progress-bar-custom-outer {
    color: black;
    height: 10px;
    width: 92%;
    margin: -5px auto 0 auto;
    background: #ccc;
    border-radius: 10px;
  }
  .progress-bar-custom {
    height: 10px;
    margin: 0 auto 0 auto;
    float: left;
    border-radius: 10px;
  }
  .label-text {
    font-family: var(--font-first);
    font-size: 12.2px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.1px;
    text-align: left;
    color: #222222;
    position: relative;
    line-height: 10px;
    padding: 0 0 0 10px;
  }
}

.update-project-description-btn {
  font-weight: 900 !important;
  font-size: 16px !important;
  font-family: "FontAwesome";
  padding: 4px 3px 4px 1px !important;
  background: var(--primary);
  border-left: 1px solid #ccc;
  color: white;
  cursor: pointer;
  height: var(--input-height);
  margin: auto;

  &:hover {
    color: black;
    background: white;
  }
}
.archived-list {
  .archived {
    margin: 0 -15px 0 0;
  }
  .status-row .pd-action-item {
    padding: 5px 15px;
  }
}

.ticket-error {
  font-size: var(--font-s);
  font-weight: 500;
  color: red;
  text-align: left;
  margin: 20px !important;
}

.risk-completed-on {
  margin: -18px 0 0 0;
}

.date-selection-disabled {
  cursor: not-allowed;
  pointer-events: none;
  opacity: 0.7;
}
img.overdue-item {
  width: 16px;
  float: left;
  margin: 0 5px 0 -21px;
  filter: invert(12%) sepia(80%) saturate(5181%) hue-rotate(9deg)
    brightness(106%) contrast(121%);
}
.description-history-actions {
  position: absolute;
  padding: 15px;
  display: flex;
  flex-direction: column;
  align-items: start;
  background-color: white;
  border: solid 1px #d3dde0;
  border-radius: 2px;
  right: 99px;
  top: 95px;
  z-index: 9;

  .activity {
    width: 100%;
    text-align: left;
    padding: 5px 0;
    font-weight: 600;
    cursor: pointer;
    &:hover {
      text-decoration: underline;
    }
  }
}
.meeting-notes {
  position: fixed;
  bottom: 10px;
  right: 12px;
  width: 600px;
  z-index: 9;
  box-shadow: 2px 3px #ccc, -10px 0 18px #ccc;
  background: white;
  .icon-note-show {
    bottom: 40px;
    position: fixed;
    right: 19%;
    background: white;
    font-weight: 700;
    border: 1px solid #ccc;
    padding: 7px;
    cursor: pointer;
    color: var(--primary);
    z-index: 10;
  }
}

.meeting-notes-modal {
  .modal-dialog {
    width: unset;
    .modal-content {
      width: 70%;
      min-width: unset;
      .meeting-note-input {
        width: 100%;
        position: relative;
        .meeting-notes-quill {
          padding: 0;
          .quill {
            height: unset;
          }
        }
      }
    }
  }
}

#sm-popup-box.item-notes {
  .tooltip-arrow {
    left: 0;
  }

  .tooltip-inner {
    width: 400px;
    resize: both;
    overflow: auto;
    max-width: none;
  }

  .section-for-elements {
    height: 80%;
    .box {
      height: 100%;
      .field-section {
        height: 100%;
        div.row.field__input textarea {
          height: 100%;
        }
        div.row.field__input {
          height: 85%;
        }
      }
    }
    .actions {
      margin: 0px 20px 0 0;
    }
  }
}

.enginner-time-entry-list {
  display: flex;
  flex-direction: column;
  .time-entry-enginner {
    border: 1px solid #ccc;
    margin: 10px 0;
    flex-direction: column;
    .row-two {
      display: flex;
      .date-time {
        display: flex;
        flex-direction: column;
      }
    }
    .delete-engineer {
      float: right;
      margin: -10% 5px 0 0;
    }
  }
  .field-section {
    padding: 0px 10px !important;
  }
}
.time-entry-pm {
  display: flex;
  flex-direction: column;
}

.notes-height-sm {
  div.row.field__input textarea {
    height: 60px !important;
  }
}

.close-ticket-modal {
  .modal-dialog {
    margin: 5px auto;
    .modal-content {
      .modal-body {
        padding: 0;
        .close-meeting-po-up {
          padding: 10px 0 0;
          overflow-y: auto;
          max-height: 80vh;
          @include small_scroll();
          .field-section {
            padding-top: 0px;
            padding-bottom: 0px;
          }
          .enginner-time-entry {
            display: flex;
            flex-wrap: wrap;
          }
          .engineer-list-heading {
            .heading {
              font-size: var(--font-l);
              margin: 10px 0 10px 20px;
            }
          }
          .save-close-meeting {
            margin: 0 0 0 5px;
          }
          .nodata {
            border: 1px solid #ccc;
            padding: 5px;
            text-align: center;
            margin: 5px 0;
          }
        }
      }
    }
  }
}

.open-won-switch.customer-resource {
  width: unset;
  padding: 0;
  font-weight: 600;
  background: white;
  margin: 5px;
  text-align: center;
  .switch {
    -webkit-appearance: none;
    appearance: none;
    height: 2rem;
    width: 4rem;
    background-color: lightgray;
    border-radius: 43px;
    position: relative;
    top: 6px;
    cursor: pointer;

    &::after {
      top: 1px;
      left: 1px;
      content: "";
      width: 1.8rem;
      height: 1.8rem;
      background-color: var(--primary);
      position: absolute;
      border-radius: 100%;
      transition: 1s;
    }

    &:checked {
      background-color: rgba(211, 211, 211, 0.794);

      &::after {
        transform: translateX(2rem);
      }
    }

    &:focus {
      outline-color: transparent;
    }
  }
}

.saved-note-show {
  color: green;
  font-weight: 600;
  font-size: var(--font-s);
  text-align: center;
  position: fixed;
  bottom: 20px;
  right: 25px;
  z-index: 9;
  box-shadow: 2px 3px #ccc, -10px 0 18px #ccc;
  background: white;
  transition: 0.2s all ease-in;
  padding: 5px 10px;
}

.operations-status-list {
  margin: 5px;

  .block-status {
    display: grid;
    grid-template-columns: 1fr 1fr 50px;
    gap: 10px;
    padding: 5px;
    margin: 5px 15px;
    border: 1px solid #ccc;
    .name {
      font-weight: 600;
    }
  }
  .block-status.success {
    background: #00800021;
    border: 1px solid #0080005e;
    .success {
      color: green;
    }
  }
  .block-status.error {
    background: #ff000024;
    border: 1px solid #ff00005e;
    .error {
      color: red;
    }
  }
  .heading {
    padding: 2px 15px;
    font-weight: 600;
  }
}

.icon__loading-white {
  height: 21px;
  margin: -6px 0;
  filter: sepia(1);
}

.action-items-quill {
  height: 215px;
  margin: -2px 0 45px 0;
}

.action-items-quill.ql-error {
  .ql-toolbar {
    border-bottom: 1px solid red;
  }
  .ql-container {
    border-left: 1px solid red;
    border-right: 1px solid red;
    border-bottom: 1px solid red;
  }
}

.rectangle-icon-outer {
  width: 23px;
  height: 23px;
  margin: 4px 5px 0 0;
  padding: 2px 3px;
  border-radius: 25%;
}

// Remove this below section after new UI is stable
.project-updates-container {
  padding: 5px 20px;
  .project-updates-header {
    width: 100%;
    label {
      font-weight: 600;
    }
  }
  .pr-up-display-mode {
    display: flex;
    flex-direction: row;
    width: 100%;
    position: relative;
    .pr-up-edit {
      filter: invert(0.5);
      position: absolute;
      right: 6%;
      cursor: pointer;
      z-index: 1;
    }
    .project-updates-html {
      max-height: 150px;
      height: 150px;
      overflow: auto;
      font-weight: 500;
      padding: 5px 15px;
      margin: 5px 5px 5px 0;
      background: #f2f6f7;
      ul,
      ol {
        padding-left: 0;
      }
      @include small_scroll();
    }
    .project-updates-etc {
      padding: 12px 15px;
      align-self: center;
      font-size: 3rem;
      font-weight: 500;
      height: 150px;
      align-items: center;
      display: flex;
      justify-content: center;
      background: #f2f6f7;
      width: 190px;
    }
    .pr-up-no-data {
      display: flex;
      font-weight: 600;
      color: #999;
      align-self: center;
      align-items: center;
      justify-content: center;
      font-size: var(--font-l);
      min-height: var(--input-height);
      height: 150px;
      background: #f2f6f7;
      margin-right: 5px;
      margin: 5px 5px 5px 0;
    }
  }
  .pr-up-edit-mode {
    width: 100%;
    display: flex;
    .project-updates-quill {
      margin-top: 10px;
      display: flex;
      flex-direction: column;
      height: 192px;
      .ql-container {
        height: 150px;
      }
    }
    .project-updates-input {
      align-self: center;
      padding: 10px 15px;
      .field__label {
        display: none;
      }
    }
  }
  .pr-up-actions {
    gap: 10px;
    display: flex;
    justify-content: flex-end;
  }
}

.meeting-save-popup {
  .tooltip-inner {
    max-width: 270px;
  }
}

.close-meeting-modal.modal.in {
  .modal-dialog {
    width: 80%;
    .modal-content {
      width: 100%;
      .modal-body {
        padding: 0;
        .close-meeting-email-container {
          width: 100%;
          display: flex;
          .spinner.close-meeting-spinner {
            position: absolute;
            z-index: 1;
            top: 25%;
          }
          .email-container-left {
            display: flex;
            overflow-y: auto;
            position: relative;
            flex-direction: column;
            padding: 15px 10px 15px 25px;
            .attachment-btn {
              position: absolute;
              top: 10px;
              right: 31px;
              input {
                opacity: 0;
                z-index: 1;
                position: absolute;
                top: 0;
                width: 190px;
                left: 0;
                height: 32px;
              }
              .attachments__icon__upload {
                margin-right: 10px;
              }
            }
            h3 {
              font-size: var(--font-xxl);
              font-weight: 550;
              color: gray;
              letter-spacing: 0.5px;
              margin-bottom: 15px;
            }
            .email-detail-field.attachment-section {
              align-items: center;
              margin-bottom: 25px;
              .email-detail-label {
                margin-top: 5px;
                margin-right: 5px;
              }
            }
            .email-detail-field {
              display: flex;
              position: relative;
              .view-attachments {
                display: flex;
                gap: 10px;
                margin-top: 5px;
                flex-wrap: wrap;
                .attachment-box {
                  display: flex;
                  border: 1px solid lightgray;
                  width: fit-content;
                  padding: 5px 10px;
                  .attachment-link {
                    display: inline-block;
                    margin-right: 10px;
                    font-weight: 500;
                  }
                }
              }
              .upload-btn-container {
                position: absolute;
                min-width: unset;
                border: none;
                z-index: 1;
                padding: 5px;
                top: 7px;
                left: 122px;
                .icon-upload {
                  width: 16px;
                  height: 16px;
                  border: unset;
                }
                .custom-file-input {
                  width: 0;
                  height: 0;
                }
              }
              .upload-btn-container:hover .icon-upload {
                filter: invert(30%) sepia(75%) saturate(1928%)
                  hue-rotate(194deg) brightness(85%) contrast(105%) !important;
              }
              .email-detail-label {
                margin-right: 10px;
                margin-top: 12px;
                width: 85px;
                font-size: var(--font-s);
                letter-spacing: 0.1px;
                text-align: left;
                color: var(--grey-label);
                position: relative;
              }
              .field-section {
                padding-left: 0;
                div.row.field__label {
                  display: none;
                }
              }
              .ql-editor {
                min-height: unset !important;
              }
              .react-quill.cm-email-body {
                padding-left: 0;
                .ql-container {
                  height: 200px;
                }
                img.fullscreen-btn {
                  margin-top: 10px;
                }
              }
              .react-quill.cm-project-updates {
                padding-left: 0;
                margin-top: 20px;
                .ql-container {
                  height: 250px;
                }
              }
            }
          }
          .email-container-right {
            width: 350px;
            min-width: 230px;
            display: flex;
            flex-direction: column;
            border-left: var(--border);
            padding: 15px 20px 15px;
            h4 {
              font-weight: 550;
              color: gray;
              letter-spacing: 0.5px;
              margin: 0 0 5px;
              font-size: var(--font-xl);
            }
            .cm-btn-container {
              display: flex;
              flex-direction: column;
              gap: 20px;
              .square-btn.btn {
                width: 100%;
              }
            }
            .cm-checkbox-container {
              margin-top: 35px;
              display: flex;
              flex-direction: column;
              gap: 5px;
            }
          }
        }
        .cm-time-entry-container {
          display: flex;
          flex-direction: column;
          width: 100%;
          padding: 15px 10px 15px 25px;
          .spinner.close-meeting-te-spinner {
            left: 0;
            top: 35px;
            z-index: 1;
            position: absolute;
          }
          h3 {
            font-size: var(--font-xxl);
            font-weight: 550;
            color: gray;
            letter-spacing: 0.2px;
            margin-bottom: 15px;
          }
          .time-entry-show-error {
            color: var(--pm-danger);
            margin-bottom: 15px;
            text-align: center;
            font-weight: 550;
          }

          .time-entries-list {
            display: flex;
            flex-direction: column;
            overflow-y: auto;
            max-height: 60vh;
            .time-entry-row.time-entry-row-heading {
              font-weight: bold;
              color: #333;
            }
            .time-entry-row {
              display: grid;
              text-align: center;
              grid-template-columns: 1fr 90px 90px 90px 1.5fr 1.75fr 90px 100px;
              align-items: center;
              > div {
                padding: 5px 8px;
                @include text_one_line;
              }
              .time-entry-actions {
                display: flex;
                gap: 10px;
                .edit-btn.btn {
                  margin: 0;
                  border-radius: 4px;
                  border: none;
                  background: url(/assets/new-icons/edit_pencil.svg) center
                    no-repeat;
                  background-size: 12px;
                  background-color: #f3f3f3;
                  &:hover,
                  &:focus,
                  &:active:hover,
                  &:active:focus,
                  &:hover:focus,
                  &:active {
                    border: none;
                    background: url(/assets/new-icons/edit_pencil.svg) center
                      no-repeat;
                    background-size: 15px;
                    background-color: #dfdfdf;
                  }
                }
              }
              .te-status-success {
                color: green;
                font-weight: 550;
                font-size: var(--font-m);
              }
              .te-status-error {
                color: var(--pm-danger);
                font-weight: 550;
                font-size: var(--font-m);
              }
            }
          }
          .add-new-engineer-entry {
            font-size: var(--font-xs);
            margin-top: 10px;
            font-weight: 500;
            cursor: pointer;
            color: var(--primary);
            width: fit-content;
            display: flex;
            align-items: center;
            .add-new-row-plus {
              font-size: 21px;
              font-weight: 400;
              display: inline-block;
              margin-right: 3px;
            }
          }
        }
      }
    }
  }
}

.edit-time-entry-modal-backdrop {
  z-index: 10051 !important;
}

.edit-time-entry-modal.modal.in {
  z-index: 10051;
  .modal-dialog .modal-content .modal-body {
    padding-left: 0;
    padding-right: 0;
    .time-entry-edit-container {
      .field-section.disabled {
        margin-bottom: 17px;
      }
    }
  }
}

.time-entry-errors-modal {
  z-index: 10051;
  .modal-dialog {
    width: 65%;
    margin-top: 80px;
    .modal-content {
      width: 100%;
      .te-error-list {
        width: 100%;
        display: flex;
        flex-direction: column;
        overflow-y: auto;
        max-height: 60vh;
        .te-error-row.te-error-row-heading {
          font-weight: bold;
          color: #333;
        }
        .te-error-row {
          display: grid;
          text-align: center;
          grid-template-columns: 0.75fr 1fr 1.5fr;
          align-items: center;
          > div {
            padding: 5px 8px;
          }
        }
      }
    }
  }
}
.details-box {
  border-bottom: 8px solid var(--app-bg);
  padding: 0 15px;
  .body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    .field {
      display: flex;
      flex-direction: column;
      flex-basis: 33%;
      padding-top: 8px;
      padding-bottom: 8px;
      overflow: hidden;
      label:first-child {
        color: var(--grey-label);
        text-transform: uppercase;
      }
      label:nth-child(2) {
        color: var(--black-font);
        padding-top: 5px;
      }
    }
  }
}

.details-loader {
  width: 100%;
  color: gray;
  height: 100px;
  display: flex;
  font-weight: 550;
  align-items: center;
  justify-content: center;
  font-size: var(--font-l);
}
.details-heading {
  z-index: 1;
  font-weight: 550;
  color: var(--grey-label);
  margin: 0 0 10px 0px;
  font-size: var(--font-xxl);
  padding: 10px 0 0 0;
}
.align-center {
  text-align: center;
}

.team-tab-edit-modal {
  .member-modal-body {
    position: relative;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    .loader {
      left: 0;
      top: 0;
    }
    .add-new-user-pmo {
      z-index: 1;
      padding: 0;
      width: 25px;
      min-width: 30px;
      font-size: 25px;
      height: 30px;
      font-weight: bold;
      position: absolute;
      left: -15px;
      top: 31px;
    }
    .label-value-box.field-section {
      margin: 10px 0 15px;
    }
    .field-section {
      padding-top: 0;
      padding-bottom: 0;
    }
  }
}
